#!/usr/bin/env python
#
#  Copyright 2014 - 2016 The BCE Authors. All rights reserved.
#  Use of this source code is governed by a BSD-style license that can be
#  found in the license.txt file.
#

ABBREVIATION_DATABASE = {
    "CHES": "C8H17NO3S", 
    "Val": "C5H11NO2", 
    "BOP": "C12H22F6N6OP2", 
    "CPD": "C5H6", 
    "DABCO": "C6H12N2", 
    "MTBE": "C5H12O", 
    "BuLi": "C4H9Li", 
    "Trp": "C11H12N2O2", 
    "TBTU": "C11H16N5OBF4", 
    "Cys": "C3H7NO2S", 
    "DCM": "CH2Cl2", 
    "DMPU": "C6H12N2O", 
    "Bn": "C7H7", 
    "TEMPO": "C9H18NO", 
    "DCC": "C13H22N2", 
    "Bu": "C4H9", 
    "TBDMS": "C6H15Si", 
    "DIBAL": "C16H38Al2", 
    "Bz": "C7H5O", 
    "DIBAH": "C16H38Al2", 
    "DIBAL-H": "C16H38Al2", 
    "HexLi": "C6H13Li", 
    "DMAP": "C7H10N2", 
    "DEAD": "C6H10N2O4", 
    "THF": "C4H8O", 
    "Trt": "C19H15", 
    "Ser": "C3H7NO3", 
    "LAH": "LiAlH4", 
    "Lys": "C6H14N2O2", 
    "dG": "C10H13N5O4", 
    "DIAD": "C8H14N2O4", 
    "DBN": "C7H12N2", 
    "dC": "C9H13N3O4", 
    "TES_fa": "C6H15NO6S", 
    "dA": "C10H13N5O3", 
    "MoOPH": "C11H23MoN3O6P", 
    "MeLi": "CH3Li", 
    "Arg": "C6H14N4O2", 
    "dT": "C10H14N2O5", 
    "dU": "C9H12N2O5", 
    "DBU": "C9H16N2", 
    "Pro": "C5H9NO2", 
    "MoOPD": "C11H17O6N3Mo", 
    "TosMIC": "C9H9NO2S", 
    "Pr": "C3H7", 
    "DMA": "C4H9NO", 
    "DMF": "C3H7NO", 
    "Py": "C5H4N", 
    "HATU": "C10H15F6N6OP", 
    "C": "C9H13N3O5", 
    "IDCP": "C16H22N2O4ICl", 
    "TESOTf": "C8H15O2F3Si", 
    "DMT": "C21H19O2", 
    "PCC": "C5H5NHClCrO3", 
    "Ph": "C6H5", 
    "9-BBN": "C16H30B2", 
    "LDA": "C6H14LiN", 
    "HMDS": "C6H19NSi2", 
    "Met": "C5H11NO2S", 
    "Leu": "C6H13NO2", 
    "Mes": "CH3SO2", 
    "Me": "CH3", 
    "TADDOL": "C31H30O4", 
    "G": "C10H13N5O5", 
    "CSA": "C10H16O4S", 
    "CAPS": "C9H19NO3S", 
    "His": "C6H9N3O2", 
    "Boc": "C5H9O2", 
    "Fmoc": "C15H11O2", 
    "TBS": "C6H15Si", 
    "MOPS": "C7H15NO4S", 
    "Piv": "C5H9O", 
    "sec-BuLi": "C4H9Li", 
    "Et": "C2H5", 
    "BTI": "C10H5F6IO4", 
    "TMS": "C3H9Si", 
    "ACAC": "C5H8O2", 
    "COT": "C8H8", 
    "mCPBA": "C7H5ClO3", 
    "Tos": "C7H7SO2", 
    "ACN": "C2H3N", 
    "COD": "C8H12", 
    "Tol": "C7H7", 
    "PEG-r": "C2H4O", 
    "HEPES": "C8H18N2O4S", 
    "NBS": "C4H4BrNO2", 
    "THP": "C5H9O", 
    "TMBE": "C5H12O", 
    "t-BuLi": "LiC4H9", 
    "EtOH": "C2H6O", 
    "SEM": "C6H15OSi", 
    "TES": "C6H15Si", 
    "PMB": "C8H9O", 
    "OSu": "C4H4O3N", 
    "Ac": "C2H3O", 
    "TMEDA": "C6H16N2", 
    "t-BuOH": "C4H10O", 
    "tert-BuLi": "LiC4H9", 
    "TRIS": "C4H11NO3", 
    "EDC": "C8H17N3", 
    "HOBt": "C6H5N3O", 
    "MEM": "C4H9O2", 
    "CDI": "C7H6N4O", 
    "Cy": "C6H11", 
    "Sec": "C3H7NO2Se", 
    "MES": "C6H13NO4S", 
    "BisTris": "C8H19NO5", 
    "PIFA": "C10H5F6IO4", 
    "Tr": "C19H15", 
    "BPO": "C14H10O4", 
    "DIC": "C7H14N2", 
    "MeOH": "CH4O", 
    "HMPT": "C6H18N3OP", 
    "AIBN": "C8H12N4", 
    "Asp": "C4H7NO4", 
    "DBPO": "C14H10O4", 
    "Phe": "C9H11NO2", 
    "Pyl": "C12H21N3O3", 
    "NHS": "C4H5NO3", 
    "PyBOP": "C18H28F6N6OP2", 
    "Asn": "C4H8N2O3", 
    "Tyr": "C9H11NO3", 
    "A": "C10H13N5O4", 
    "AcOH": "C2H4O2", 
    "Alloc": "C4H5O2", 
    "Ile": "C6H13NO2", 
    "MOM": "C2H5O", 
    "Gln": "C5H10N2O3", 
    "Thr": "C4H9NO3", 
    "DNPH": "C6H6N4O4", 
    "Gly": "C2H5NO2", 
    "U": "C9H12N2O6", 
    "BICINE": "C6H13O4N", 
    "Bzl": "C7H7", 
    "Glu": "C5H9NO4", 
    "DADO": "C4H8N2O2", 
    "TRICINE": "C6H13NO5", 
    "NCS": "C4H4ClNO2", 
    "TFA": "C2HF3O2", 
    "Ala": "C3H7NO2", 
    "DMSO": "C2H6OS", 
    "T": "C10H14N2O6"
}
